<?php

namespace Drupal\llms_txt_generator\Service;

/**
 * Interface for the llms.txt file generator service.
 */
interface LlmsFileGeneratorInterface {

  /**
   * Generates the llms.txt file based on configuration.
   *
   * @return bool
   *   TRUE if file was successfully generated, FALSE otherwise.
   */
  public function generateLlmsFile();

  /**
   * Gets the content of the llms.txt file.
   *
   * @return string|false
   *   The content of the llms.txt file, or FALSE if it doesn't exist.
   */
  public function getLlmsFileContent();

  /**
   * Gets the default template content with placeholders replaced.
   *
   * @return string
   *   The processed template content.
   */
  public function getDefaultTemplateContent();

}
